<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.business.mapper.TaskMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="taskResultMap" type="org.springblade.business.entity.Task">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="process_definition_id" property="processDefinitionId"/>
        <result column="process_instance_id" property="processInstanceId"/>
        <result column="start_time" property="startTime"/>
        <result column="end_time" property="endTime"/>
        <result column="task_name" property="taskName"/>
        <result column="task_content" property="taskContent"/>
        <result column="task_user" property="taskUser"/>
        <result column="fixed_flow_id" property="fixedFlowId"/>
        <result column="form_data_id" property="formDataId"/>
        <result column="batch" property="batch"/>
        <result column="e_visa_status" property="eVisaStatus"/>
        <result column="e_visa_content" property="eVisaContent"/>
        <result column="report_user" property="reportUser"/>
        <result column="report_user_name" property="reportUserName"/>
    </resultMap>

</mapper>
